# rm::data_structures::item_structure
# ItemStructure module
# http://www.openehr.org/uml/release-1.0.1/Browsable/_9_0_76d0249_1109346709572_859750_3810Report.html
# refs #54
include OpenEhr::RM::DataStructures
module OpenEhr
  module RM
    module DataStructures
      module ItemStructure
        class ItemStructure < DataStructure
        end

        class ItemSingle < ItemStructure
          attr_reader :item

          def initialize(args = {})
            super(args)
            self.item = args[:item]
          end

          def as_hierarchy
            return @item
          end

          def item=(item)
            raise ArgumentError, 'item is mandatory' if item.nil?
            @item = item
          end
        end

        class ItemList < ItemStructure
        end
      end # of ItemStructure
    end # of DataStructures
  end # of RM
end # of OpenEhr
